/// <reference types="node" />
export declare const LEVELS: {
    EMERGENCY: number;
    ALERT: number;
    CRITICAL: number;
    ERROR: number;
    WARN: number;
    NOTICE: number;
    INFO: number;
    DEBUG: number;
};
export declare const CONFIG: {
    LEVEL: number;
    console: Console;
};
export declare function makeLogger(pre?: string): {
    trace(e: any): void;
    log(...args: any[]): void;
    emergency(...args: any[]): void;
    alert(...args: any[]): void;
    critical(...args: any[]): void;
    error(...args: any[]): void;
    warn(...args: any[]): void;
    notice(...args: any[]): void;
    info(...args: any[]): void;
    debug(...args: any[]): void;
};
declare const _default: {
    trace(e: any): void;
    log(...args: any[]): void;
    emergency(...args: any[]): void;
    alert(...args: any[]): void;
    critical(...args: any[]): void;
    error(...args: any[]): void;
    warn(...args: any[]): void;
    notice(...args: any[]): void;
    info(...args: any[]): void;
    debug(...args: any[]): void;
};
export default _default;
