"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class In {
    constructor(key) {
        this.key = key;
    }
    toValue() {
        return this.key;
    }
    toJSON() {
        return this.key;
    }
    toString() {
        return this.key;
    }
}
In.HEADER = new In('header');
In.QUERY = new In('query');
exports.In = In;
function forValue(value) {
    if (value == null || value instanceof In) {
        return value;
    }
    value = value.toLowerCase();
    if (value === In.HEADER.key) {
        return In.HEADER;
    }
    if (value === In.QUERY.key) {
        return In.QUERY;
    }
}
exports.default = forValue;
//# sourceMappingURL=In.js.map